net.dontdrinkandroot.wicket.model

## Class AbstractInjectedModel<T>

- java.lang.Object
- - net.dontdrinkandroot.wicket.model.AbstractInjectedModel<T>

All Implemented Interfaces:
  Serializable, org.apache.wicket.model.IDetachable, org.apache.wicket.model.IModel<T>, org.apache.wicket.util.io.IClusterable

Direct Known Subclasses:
  AbstractChainedInjectedModel

    public abstract class AbstractInjectedModel<T>
    extends Object
    implements org.apache.wicket.model.IModel<T>

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`AbstractInjectedModel()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.wicket.model.IModel

`getObject, setObject`

### Methods inherited from interface org.apache.wicket.model.IDetachable

`detach`

### Constructor Detail

#### AbstractInjectedModel

    public AbstractInjectedModel()